You are not logged in.

#1 2009-04-05 00:06:42

magiusche
Member
Registered: 2008-12-05
Posts: 37

libgnome do not install (gconfpkg line 18 error)

hi guys..
the problem is simple but DRAMATIC :-)

simple try this on my Arch64:

pacman -Sy libgnome
Pacchetti (3): gconf-2.26.0-2  gnome-vfs-2.24.1-2  libgnome-2.26.0-2  

Dimensione totale dei pacchetti da scaricare:    4,32 MB
Dimensione totale dei pacchetti da installare:   19,54 MB

Vuoi procedere con l'installazione? [S/n] s
:: Download dei pacchetti da extra...
 gconf-2.26.0-2-x86_64   1839,6K  294,0K/s 00:00:06 [#####################] 100%
 gnome-vfs-2.24.1-2-...  1250,8K  217,7K/s 00:00:06 [#####################] 100%
 libgnome-2.26.0-2-x...  1332,2K  317,5K/s 00:00:04 [#####################] 100%
controllo dell'integrità dei pacchetti in corso...
(3/3) controllo dei conflitti in corso              [#####################] 100%
(1/3) installazione in corso di gconf               [#####################] 100%
(2/3) installazione in corso di gnome-vfs           [#####################] 100%
(3/3) installazione in corso di libgnome            [#####################] 100%
usr/sbin/gconfpkg: line 18:  4485 Segmentation fault      GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` /usr/bin/gconftool-2 --makefile-install-rule /usr/share/gconf/schemas/${pkgname}.schemas > /dev/null
errore: L'esecuzione dello scriptlet non è riuscita correttamente

the problem persist in every CASE and if i try to do this:

pacman -Rc gconf
controllo delle dipendenze in corso...

Da rimuovere (3): libgnome-2.26.0-2  gnome-vfs-2.24.1-2  gconf-2.26.0-2  

Dimensione totale dei pacchetti da rimuovere:   19,54 MB

Vuoi rimuovere questi pacchetti? [S/n] s
usr/sbin/gconfpkg: line 18:  4557 Segmentation fault      GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` /usr/bin/gconftool-2 --makefile-install-rule /usr/share/gconf/schemas/${pkgname}.schemas > /dev/null
errore: L'esecuzione dello scriptlet non è riuscita correttamente
(1/3) rimozione in corso di libgnome                [#####################] 100%
(2/3) rimozione in corso di gnome-vfs               [#####################] 100%
(3/3) rimozione in corso di gconf                   [#####################] 100%

the results of this DAMN thing is: "GNOME DO NOT START ANY MORE..."
someone can help me????

these error appens during last pacman system update..

conclusion:

pacman -S libgnome

cause an error during install
if i try to clean all:

pacman -Rc libgnome
pacman -Rc gconf
pacman -Scc
pacman -S libgnome

the error appears again:

(3/3) installazione in corso di libgnome            [#####################] 100%
usr/sbin/gconfpkg: line 18:  4485 Segmentation fault      GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` /usr/bin/gconftool-2 --makefile-install-rule /usr/share/gconf/schemas/${pkgname}.schemas > /dev/null
errore: L'esecuzione dello scriptlet non è riuscita correttamente

i hope someone can help me ...
thx in advance.

a poor italian newbie.

Last edited by magiusche (2009-04-05 00:09:41)


Hope i help you!
and
VICE.VERSA

Offline

#2 2009-04-05 10:35:00

marcs
Member
From: Italy
Registered: 2007-09-07
Posts: 55

Re: libgnome do not install (gconfpkg line 18 error)

Same problem here, i believe is a problem of the new version of gconf (gconf-2.26.0-2), i'm looking at the PKGBUILD and at the install file to find the problem.

p.s. son italiano anche io ^^

Offline

#3 2009-04-05 12:09:19

marcs
Member
From: Italy
Registered: 2007-09-07
Posts: 55

Re: libgnome do not install (gconfpkg line 18 error)

The problem is located on the file usr/sbin/gconfpkg, is a bash script file, there's a segmentation fault error, maybe for an incorret call to gconftool-2

Offline

#4 2009-04-05 15:17:28

Firetux
Member
Registered: 2004-12-10
Posts: 2

Re: libgnome do not install (gconfpkg line 18 error)

Hello, I have the same problem and I found a workaround to solve it.

See the bug that I just open for details:
http://bugs.archlinux.org/task/14107

@magiusche, @marcs: ...sono non lo avete capito dal bug sono italiano anche io wink


Firetux, light your hopes!

Offline

#5 2009-04-05 15:59:57

marcs
Member
From: Italy
Registered: 2007-09-07
Posts: 55

Re: libgnome do not install (gconfpkg line 18 error)

I've read the bug report. So i guess that this bug will affect italian users only. smile

Thanks for the workaround.

Grazie Firetux wink

Offline

#6 2009-04-05 16:00:37

magiusche
Member
Registered: 2008-12-05
Posts: 37

Re: libgnome do not install (gconfpkg line 18 error)

Thx... i'll try this.

------------------------
Grazie ragazzi, mi sentivo perso... la lingua è sempre un problema.
Grazie millez...


Hope i help you!
and
VICE.VERSA

Offline

#7 2009-04-05 22:27:20

marcs
Member
From: Italy
Registered: 2007-09-07
Posts: 55

Re: libgnome do not install (gconfpkg line 18 error)

After the bugfix I still got problems with epiphany and other packages, maybe i'm doing something wrong.

Last edited by marcs (2009-04-05 22:34:37)

Offline

#8 2009-04-05 22:43:29

magiusche
Member
Registered: 2008-12-05
Posts: 37

Re: libgnome do not install (gconfpkg line 18 error)

make sure to set Locale="en" each time you try an update.
Only in this way i can prevent the error.

sad

Last edited by magiusche (2009-04-05 22:43:50)


Hope i help you!
and
VICE.VERSA

Offline

#9 2009-04-06 09:43:09

marcs
Member
From: Italy
Registered: 2007-09-07
Posts: 55

Re: libgnome do not install (gconfpkg line 18 error)

Ok i've solved like the problem like this:
  -Update with yaourt or pacman gconf
  -Update with yaourt or pacman the entire gnome installation (errors will occour)
  -Fix the schema db with the script posted by Jan de Groot:

export LANG=C
export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
for i in /usr/share/gconf/schemas/*.schemas; do
/usr/bin/gconftool-2 --makefile-install-rule $i
done

Offline

#10 2009-06-13 17:31:47

bagheera
Member
Registered: 2009-06-13
Posts: 84

Re: libgnome do not install (gconfpkg line 18 error)

Hello, i still have problem with that one. Bug has 'closed' status on http://bugs.archlinux.org/task/14107
I did change my locale var to pl_PL.utf8 AND run that script to rebulid gconf database, but after pacman -S gnome gnome-extra i still get several segmentation fault errors. I switched to kde for now, but i still want to use some gnome apps, or login into gnome session.

here's my rc.conf

http://www.nopaste.pl/d70


arch linux user

Offline

Board footer

Powered by FluxBB